# Add to do-not-call list

`POST /api/v1/tel/do-not-call`

Puts the number on the do-not-call list: it's never added to call lists again and is written to the blocklist address of the connected call centres. Without `phone` the contact's, then the company's phone is used. Returns `message`, `e164`, `synced` (connection → written; failures are retried by the scheduler). Removing a number is web-only, for admins.

## Body

| Field | Type | Description |
|---|---|---|
| `phone` | string | Number. |
| `contact_id` | integer | Contact. |
| `customer_id` | integer | Company. |
| `note` | string | Note. |
